<template lang="pug">
.col.m-0.p-1
  .card.border-0.border-sm
    .d-none.d-sm-block.card-header.text-center.py-2.text-wrap
        .d-flex.justify-content-center
          h4(v-if='titleCapitalized') #[strong {{ title | capitalize }}]
          h4(v-else) #[strong {{ title }}]
          h6.ml-2.mt-2.text-muted {{ subtitle }}
    .card-body.text-center.p-0.mb-1.mb-sm-0
      .row.no-gutters.align-items-center
        .col-12.d-sm-none.text-left
            strong {{ title | capitalize }}
            span.ml-1.text-muted {{ subtitle }}:
        .col-12.d-flex(:class='`${cssStyle}`')
          .w-100
            slot
              h5.m-2.text-center
                // Value
                span(v-if="$butils.isNil(value)") {{ placeholder }}
                span(v-else-if="asBigNum") {{ value | b-bigNumber }}
                span(v-else-if="asByteSize") {{ value | b-byteSize(2) }}
                span(v-else) {{ value }}
                // Suffix
                span(v-if='!$butils.isNil(value)') {{ suffix }}

</template>

<script>

export { default } from './CardInfo.vue.js';

</script>
